| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Member Functions | List of all members
Digikam::CaptionsMap Class Reference

A map used to store a list of Alternative Language values + author and date properties The map key is the language code following RFC3066 notation (like "fr-FR" for French), and the CaptionsMap value all caption properties.

Inheritance diagram for Digikam::CaptionsMap:

## Public Member Functions
MetaEngine::AltLangMap | authorsList () const
MetaEngine::AltLangMap | datesList () const
void | fromAltLangMap (const MetaEngine::AltLangMap &map)
void | setAuthorsList (const MetaEngine::AltLangMap &map, const QString &commonAuthor=QString())
| Sets the author for the comments in the specified languages.
void | setData (const MetaEngine::AltLangMap &comments, const MetaEngine::AltLangMap &authors, const QString &commonAuthor, const MetaEngine::AltLangMap &dates)
void | setDatesList (const MetaEngine::AltLangMap &map)
MetaEngine::AltLangMap | toAltLangMap () const

## Member Function Documentation

## ◆ setAuthorsList()

void Digikam::CaptionsMap::setAuthorsList | ( | const MetaEngine::AltLangMap & | map,
|  | const QString & | commonAuthor = `QString()`
| ) |  |

If commonAuthor is not null, it will be used to set the author of all comments for which the author is not specified in the map.